/**
 * A linked list is the simplest form of a collection of nodes that together
 * form a linear order. Each list node consists of an element carrying some
 * meaningful data and a next component, which stores a reference to the 
 * subsequent list node.
 *
 * @author Bernd J. Krmer
 * @version 12.07.01
 */
public class List
{
	// instance variables 
	 private int element;
	 private List next;

	/**
	 * Default constructor for objects of class list
	 **/
	public List()
	{
		// initialise instance variables
		element = 0;
		next = null;
	}

	/**
	 * Construct a list object given given an element and next
     **/
	public List(int elem, List nextElem)
	{
		element = elem;
		next = nextElem;
	}

	/**
	 * set the element component of a list object 
	 * 
	 * @param  someElement   
	 **/
    public void setElem(int someElement)
    {
        element = someElement;
    }

	/**
	 * set the next component of a list object 
	 * 
	 * @param  newNext   
	 **/
    public void setNext(List newNext)
    {
        next = newNext;
    }

    /**
     * Get the element of a list object
     **/
    public int getElem()
    {
        return element;
    }

    /**
     * Get the next element of a list object
     **/
    public List getNext()
    {
        return next;
    }
}
